%define packagename CGI-modules
%define packageversion 2.76
%define release 1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      perl-%{packagename}
Version:   %{packageversion}
Release:   %{release}
Group:     Development/Languages/Perl
Source:    CGI-modules-2.76.tar.gz
Source1:   makerpm.pl
Copyright: Probably the same terms as perl.  Check.
BuildRoot: /var/tmp/CGI-modules-2.76
Provides:  perl-%{packagename}
Summary:   The Perl package CGI-modules

%description
These are the CGI:: modules for perl5, for use in writing CGI scripts.
In addition to this package, you will also need the URI::Unescape
class, which is part of the libwww-perl package.  It can be obtained
at any of the following CPAN archives:

ftp://ftp.cis.ufl.edu/pub/perl/CPAN/
ftp://ftp.cs.ruu.nl/pub/PERL/CPAN/
ftp://ftp.delphi.com/pub/mirrors/packages/perl/CPAN/
ftp://ftp.funet.fi/pub/languages/perl/CPAN/
ftp://ftp.is.co.za/programming/perl/CPAN/
ftp://ftp.pasteur.fr/pub/Perl/CPAN/
ftp://ftp.sterling.com/programming/languages/perl/
ftp://janus.sedl.org/pub/mirrors/CPAN/
ftp://orpheu.ci.uminho.pt/pub/lang/perl/

To install these modules, cd to the directory that this README file is
in and type the following:

perl Makefile.PL
make
make install

Documentation for these modules is part of the files themselves using
the pod (Plain Old Documentation) format, and can be read using the
pod2man and pod2html programs that come with perl5.001.  To convert
them into manual page format, type something like the following:

pod2man Base.pm > Base.man

To convert them into html format, type:

%prep
$RPM_SOURCE_DIR/makerpm.pl --source=CGI-modules-2.76.tar.gz --verbose --rm-file=CGI\/Carp  --prep



%build
$RPM_SOURCE_DIR/makerpm.pl --source=CGI-modules-2.76.tar.gz --verbose --rm-file=CGI\/Carp --build --runtests %{makeopts} %{makeperlopts} %{makemakeropts} 



%install
rm -rf $RPM_BUILD_ROOT



#makerpm is run after the install script to pick up all of the files

$RPM_SOURCE_DIR/makerpm.pl --source=CGI-modules-2.76.tar.gz --verbose --rm-file=CGI\/Carp --install %{makeopts}

%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f CGI-modules-2.76/CGI-modules-2.76.rpmfilelist

%doc CGI-modules-2.76/doc
%doc CGI-modules-2.76/README

